Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155922 - dlm-kernel and dlm-kernel-smp requirement mismatch
Summary: dlm-kernel and dlm-kernel-smp requirement mismatch
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dlm-kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Feist
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-04-25 19:41 UTC by Jef Spaleta
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-04 23:14:37 UTC


Attachments (Terms of Use)

Description Jef Spaleta 2005-04-25 19:41:51 UTC
Description of problem:
dlm-kernel-smp-2.6.11.2-20050420.131626.FC4.0
rpm -q --requires dlm-kernel-smp
/lib/modules/2.6.11-1.1253_FC4smp
kernel-smp = 2.6.11-1.1253_FC4

dlm-kernel-2.6.11.2-20050420.131626.FC4.0
rpm -q --requires dlm-kernel
cman-kernel >= 2.6.11
kernel = 2.6.11-1.1253_FC4

Consistency Questions:
should dlm-kernel-smp require cman-kernel-smp ?
should dlm-kernel require /lib/modules/2.6.11-1.1253_FC4 ?

Other issues:
since cman-kernel package will have to be provided in i586 and i686 varieties
for x86 systems since the kernel is provided as i586 and i686, is the
cman-kernel requirement enough to make sure the correct arch of cman-kernel is
available? If someone has both i586 and i686 kernels installed.. you can run
into a corner case where cman-kernel require is satified but with the wrong arch  .

Comment 1 Chris Feist 2005-04-25 20:41:01 UTC
I've fixed the above requires.  Both up & smp should require /lib/modules and
the appropriate cman-kernel.

Currently I'm only building i686.  How can I test which arch of a package is
installed?

Comment 2 Joe Orton 2005-04-26 12:54:39 UTC
Use e.g.:

  rpm -q --qf '%{name}-%{version}-%{release}.%{arch}\n' some-package

Any chance you can use a less obfuscated release field for these packages? 

-2.6.11.3-20050425.154843.FC4.0

is rather insanely long.

Comment 3 Joe Orton 2005-04-26 13:00:21 UTC
Err, or if you were asking how to test in a Requires field, I'm not sure.

Comment 4 Jef Spaleta 2005-04-26 13:16:59 UTC
(In reply to comment #1)
> Currently I'm only building i686.  How can I test which arch of a package is
> installed?

I'm not sure.  It's a corner case I don't think other 3rd party kernel module
packages have been able to address either. I was just hoping I could poke you
into a eureka moment.  It's something worth asking around about and seeing if
there is a technical solution available. The fedora-packaging mailinglist would
be a good place to bring it up to try to come up with a consistent technical
solution that red hat and 3rd party packagers can use. Maybe dag or ville have
comments with regard to testing for matching arch between kernel and
kernel-module package.

In any event, you are probably going to want to turn on i586 builds since the
kernel is still being built for i586 as well.
-jef


Comment 5 Chris Feist 2005-05-03 16:26:05 UTC
i586 kernel packages are now being built.


Note You need to log in before you can comment on or make changes to this bug.